## qt3d-opensource-src-gles 5.5.1

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(QAspectEngine_NAMESPACE Qt3D)
set(QMesh_NAMESPACE Qt3D)

test_module_includes(
  3DCore QAspectEngine
  3DRenderer QMesh
)

## qt3d-opensource-src-gles 5.0~git20130731

=== debian/changelog ===
qt3d-opensource-src-gles (5.0~git20130731-0ubuntu10) vivid; urgency=medium

  * Sync with qt3d-opensource-src - 5.0~git20130731-0ubuntu10

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 12 Mar 2015 08:28:13 +0000

qt3d-opensource-src-gles (5.0~git20130731-0ubuntu9) vivid; urgency=medium

  * Sync with qt3d-opensource-src - 5.0~git20130731-0ubuntu9

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:11:52 +0000

qt3d-opensource-src-gles (5.0~git20130731-0ubuntu8) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Nov 2014 08:13:14 +0200

qt3d-opensource-src-gles (5.0~git20130731-0ubuntu7) utopic; urgency=medium

  * Sync with qt3d-opensource-src 5.0~git20130731-0ubuntu6

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 18 Jun 2014 11:02:49 +0000

qt3d-opensource-src-gles (5.0~git20130731-0ubuntu6) utopic; urgency=medium

  * Repackging for building gles variants for i386 and amd64.
    - Based on qt3d-opensource-src 5.0~git20130731-0ubuntu5

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 06 May 2014 11:56:36 -0300

=== debian/control ===
Source: qt3d-opensource-src-gles
Section: libs
Priority: optional
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-kde-tools,
               libqt5opengl5-gles-dev,
               qtbase5-gles-dev (>= 5.4.1),
               qtbase5-private-gles-dev (>= 5.4.1),
               libqt5quick5-gles (>= 5.4.1),
               qtdeclarative5-dev (>= 5.4.1),
               qtdeclarative5-private-dev (>= 5.4.1),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/

Package: libqt53d5-gles
Architecture: i386 amd64
Conflicts: libqt53d5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D module (build with the OpenGLES backend).
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Run tests only on archs known to pass in the past
testrun_architectures := amd64 arm64 armhf i386 ppc64el

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir .git
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testrun_architectures)))
	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qt3d-opensource-src-gles 5.5.1

=== debian/changelog ===
qt3d-opensource-src-gles (5.5.1-4ubuntu3) xenial; urgency=medium

  * Sync with qt3d-opensource-src - 5.5.1-4ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 14 Mar 2016 13:24:18 +0000

qt3d-opensource-src-gles (5.5.1-4ubuntu2) xenial; urgency=medium

  * Sync with qt3d-opensource-src - 5.5.1-4ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 09 Dec 2015 15:17:03 +0000

qt3d-opensource-src-gles (5.5.1-4ubuntu1) xenial; urgency=medium

  * Sync with qt3d-opensource-src - 5.5.1-4ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 14:43:14 +0000

qt3d-opensource-src-gles (5.0~git20130731-0ubuntu12) wily; urgency=medium

  * Sync with qt3d-opensource-src - 5.0~git20130731-0ubuntu12

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 15:10:19 +0300

qt3d-opensource-src-gles (5.0~git20130731-0ubuntu11) wily; urgency=medium

  * Sync with qt3d-opensource-src - 5.0~git20130731-0ubuntu11

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jun 2015 07:15:00 +0000

=== debian/control ===
Source: qt3d-opensource-src-gles
Section: libs
Priority: optional
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-kde-tools,
               libqt53dcore5,
               libqt5opengl5-gles-dev,
               qtbase5-gles-dev (>= 5.5.1),
               qtbase5-private-gles-dev (>= 5.5.1),
               libqt5quick5-gles (>= 5.5.1),
               qtdeclarative5-dev (>= 5.5.1),
               qtdeclarative5-private-dev (>= 5.5.1),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/

Package: libqt53drenderer5-gles
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Renderer module (built with OpenGLES backend).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Run tests only on archs known to pass in the past
testrun_architectures := amd64 i386

%:
	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/*.la
	rm -f $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/*.prl
	
	# Remove private stuff
	rm -rfv $(CURDIR)/debian/libqt53drenderer5-gles/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
	rm -fv $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
	
	# Remove cmake config files of plugins
	rm -fv $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake
	
	# Remove files not needed on gles variant
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/include
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/cmake
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/pkgconfig
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/qt5
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/libQt53DC*
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/libQt53DI*
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/libQt53DL*
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/libQt53DQ*
	rm -rf $(CURDIR)/debian/libqt53drenderer5-gles/usr/lib/*/libQt53DRenderer.so

override_dh_auto_test-arch:
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(testrun_architectures)))
	xvfb-run -a -s "-screen 0 640x480x24" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	-xvfb-run -a -s "-screen 0 640x480x24" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif

override_dh_auto_test-indep:

## qt3d-opensource-src-gles 5.6.1+dfsg

=== debian/changelog ===
qt3d-opensource-src-gles (5.6.1+dfsg-1ubuntu1~1) yakkety; urgency=medium

  * Sync with qt3d-opensource-src - 5.6.1+dfsg-1ubuntu1~1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 01 Jun 2016 06:59:27 +0000

qt3d-opensource-src-gles (5.5.1-4ubuntu4) yakkety; urgency=medium

  * Sync with qt3d-opensource-src - 5.5.1-4ubuntu4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 May 2016 06:29:33 +0000

=== debian/control ===
Source: qt3d-opensource-src-gles
Section: libs
Priority: optional
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-kde-tools,
               libqt53dcore5,
               libqt5opengl5-gles-dev,
               qtbase5-gles-dev (>= 5.6.1~),
               qtbase5-private-gles-dev (>= 5.6.1~),
               libqt5quick5-gles (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtdeclarative5-private-dev (>= 5.6.1~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://qt-project.org/

Package: libqt53drender5-gles
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Render module (built with OpenGLES backend).

## qt3d-opensource-src-gles 5.7.1+dfsg

=== debian/changelog ===
qt3d-opensource-src-gles (5.7.1+dfsg-1ubuntu1~2) zesty; urgency=medium

  * Sync with qt3d-opensource-src - 5.7.1+dfsg-1ubuntu1~2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jan 2017 09:05:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 9.20141010~),
                pkg-kde-tools,
+               pkgconf,
+               libgl1-mesa-dri <!nocheck>,
                libqt53dcore5,
                libqt5opengl5-gles-dev,
-               qtbase5-gles-dev (>= 5.6.1~),
-               qtbase5-private-gles-dev (>= 5.6.1~),
-               libqt5quick5-gles (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qtdeclarative5-private-dev (>= 5.6.1~),
-               xauth,
-               xvfb,
+               qtbase5-gles-dev (>= 5.7.1~),
+               qtbase5-private-gles-dev (>= 5.7.1~),
+               libqt5quick5-gles (>= 5.7.1~),
+               qtdeclarative5-dev (>= 5.7.1~),
+               qtdeclarative5-private-dev (>= 5.7.1~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Run tests only on archs known to pass in the past
testrun_architectures := amd64 i386

%:
	dh $@ --ignore-missing --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/*.la
	rm -f $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/*.prl
	
	# Remove private stuff
	rm -rfv $(CURDIR)/debian/libqt53drender5-gles/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
	rm -fv $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
	
	# Remove cmake config files of plugins
	rm -fv $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake
	
	# Remove files not needed on gles variant
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/include
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/cmake
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/pkgconfig
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/qt5
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/libQt53DC*
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/libQt53DI*
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/libQt53DL*
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/libQt53DQ*
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/libQt53DExtras*
	rm -rf $(CURDIR)/debian/libqt53drender5-gles/usr/lib/*/libQt53DRenderer.so

override_dh_auto_test-arch:
	# See 5.7.1+dfsg-1 changelog.
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml

override_dh_auto_test-indep:
